import { Tabbar } from '@nutui/nutui-react-taro'
import { Home, User } from '@nutui/icons-react-taro'
import Taro from '@tarojs/taro'

function TabBar(){
  return (
    <Tabbar
      fixed
      onSwitch={(index) => {
        console.log(index)
        if(index == 0){
          Taro.switchTab({ url: '/pages/index/index' })
        }
        // if(index == 1){
        //   Taro.navigateTo({ url: '/pages/detail/detail' })
        // }
        if(index == 1){
          Taro.switchTab({ url: '/pages/user/user' })
        }
      }}
    >
      <Tabbar.Item title="首页" icon={<Home size={18} />} />
      {/*<Tabbar.Item title="分类" icon={<Date size={18} />} />*/}
      <Tabbar.Item title="我的" icon={<User size={18} />} />
    </Tabbar>
  )
}
export default TabBar;
